tests: Move to kernel style SPDX license identifiers
[lttng-tools.git] / tests / stress / test_multi_sessions_per_uid_5app_streaming_kill_relayd
index 00778f83a1d55ab2d526471a1df5ca49cd8033f4..e6ee7df7dd65d9c8804d3b433ef05a0d15116aff 100755 (executable)
@@ -1,14 +1,9 @@
 #!/bin/bash
 #
-# Copyright (C) 2013 David Goulet <dgoulet@efficios.com>
+# Copyright (C) 2013 David Goulet <dgoulet@efficios.com>
 #
-# This library is free software; you can redistribute it and/or modify it under
-# the terms of the GNU Lesser General Public License as published by the Free
-# Software Foundation; version 2.1 of the License.  details.
+# SPDX-License-Identifier: LGPL-2.1-only
 #
-# You should have received a copy of the GNU Lesser General Public License
-# along with this library; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
 
 CURDIR=$(dirname $0)/
 TESTDIR=$CURDIR/..
@@ -57,8 +52,6 @@ function check_sessiond()
 
 function start_sessiond()
 {
-       local SESSIOND_BIN="lttng-sessiond"
-
        validate_kernel_version
        if [ $? -ne 0 ]; then
                fail "Start session daemon"
@@ -79,7 +72,6 @@ function start_sessiond()
 function start_relayd
 {
        local opt=$1
-       local RELAYD_BIN="lttng-relayd"
 
        if [ -z $(pgrep --full lt-$RELAYD_BIN) ]; then
                $TESTDIR/../src/bin/lttng-relayd/$RELAYD_BIN $opt >$LOG_FILE_RELAYD 2>&1 &
@@ -147,11 +139,10 @@ function sighandler()
 {
        cleanup
        #rm $LOG_FILE_SESSIOND $LOG_FILE_RELAYD
-       exit 1
+       full_cleanup
 }
 
-trap sighandler SIGINT
-trap sighandler SIGTERM
+trap sighandler SIGINT SIGTERM
 
 # Make sure we collect a coredump if possible.
 ulimit -c unlimited
This page took 0.025065 seconds and 5 git commands to generate.